log4shib::IdsaAppender(3)

NAME
log4shib::IdsaAppender - IdsaAppender is an Appender that sends LoggingEvents to the IDS/A logger and reference monitor by Marc Welz.

SYNOPSIS

#include <IdsaAppender.hh>

Inherits log4shib::AppenderSkeleton.

  Public Member Functions
IdsaAppender (const std::string &name, const std::string &idsaName)
Instantiate an IdsaAppender with given name and name.
virtual ~IdsaAppender ()
virtual bool reopen ()
Calls idsa_open() and idsa_close()
virtual void close ()
Calls idsa_close()
virtual bool requiresLayout () const
The IdsaAppender does its own Layout.
virtual void setLayout (Layout *layout)
Set the Layout for this appender.

  Protected Member Functions
virtual void open ()
Calls idsa_open().
virtual void _append (const LoggingEvent &event)
Sends a LoggingEvent to idsa.

  Protected Attributes
const std::string _idsaName
IDSA_CONNECTION * _idsaConnection

  Additional Inherited Members

Detailed Description

IdsaAppender is an Appender that sends LoggingEvents to the IDS/A logger and reference monitor by Marc Welz. See http://jade.cs.uct.ac.za/idsa/ for more information on IDS/A.

Constructor & Destructor Documentation

  log4shib::IdsaAppender::IdsaAppender (const std::string & name, const std::string & idsaName)

Instantiate an IdsaAppender with given name and name. Unlike the syslog API, idsa allows multiple connections.

Parameters
    name The name of the Appender
    idsaName The service parameter of idsa

  virtual log4shib::IdsaAppender::~IdsaAppender () [virtual]

Member Function Documentation

  virtual void log4shib::IdsaAppender::_append (const LoggingEvent & event) [protected], [virtual]

Sends a LoggingEvent to idsa.

Parameters
    event the LoggingEvent to log.

Implements log4shib::AppenderSkeleton.

  virtual void log4shib::IdsaAppender::close () [virtual]

Calls idsa_close()

Implements log4shib::AppenderSkeleton.

  virtual void log4shib::IdsaAppender::open () [protected], [virtual]

Calls idsa_open().

  virtual bool log4shib::IdsaAppender::reopen () [virtual]

Calls idsa_open() and idsa_close()

Reimplemented from log4shib::AppenderSkeleton.

  virtual bool log4shib::IdsaAppender::requiresLayout () const [virtual]

The IdsaAppender does its own Layout.

Returns
    false

Implements log4shib::AppenderSkeleton.

  virtual void log4shib::IdsaAppender::setLayout (Layout * layout) [virtual]

Set the Layout for this appender.

Parameters
    layout The layout to use.

Implements log4shib::AppenderSkeleton.

Member Data Documentation

  IDSA_CONNECTION* log4shib::IdsaAppender::_idsaConnection [protected]

  const std::string log4shib::IdsaAppender::_idsaName [protected]

Author

Generated automatically by Doxygen for log4shib from the source code.